Skip to main content
GET
/
api
/
v1
/
groups
/
{group_id}
/
contacts
/
{contact_id}
Get a single Group Contact
curl --request GET \
  --url https://fulfillment.noyo.com/api/v1/groups/{group_id}/contacts/{contact_id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://fulfillment.noyo.com/api/v1/groups/{group_id}/contacts/{contact_id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://fulfillment.noyo.com/api/v1/groups/{group_id}/contacts/{contact_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "created": 1557512389,
  "email": "davidsmith@testcorp.com",
  "first_name": "David",
  "group_id": "2613a221-d3c8-4c8a-86d5-e7e885fd1da9",
  "id": "c2f5489d-36d1-4fb0-bf9f-105ad5dd0b3e",
  "last_name": "Smith",
  "modified": 1543215342,
  "phone_number": "+14255551234",
  "primary_contact": true,
  "title": "Chief People Officer",
  "types": [
    "company",
    "billing",
    "executive"
  ],
  "version": "ef3fef8d-4889-40f4-a0f8-377b9dd23d98"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

group_id
string<uuid>
required

The unique identifier of the group the contact belongs to

Example:

"2613a221-d3c8-4c8a-86d5-e7e885fd1da9"

contact_id
string<uuid>
required

The unique identifier of the contact to be retrieved

Example:

"30b74a44-d5b1-4123-a7a4-6d3aec251ba4"

Response

200 - application/json

Successful Response - Returns a single Group Contact

created
integer
required
read-only

The date the record was originated

group_id
string<uuid>
required
read-only

Unique identifier of the group in Noyo

id
string<uuid>
required
read-only

Unique identifier of the group contact in Noyo

modified
integer
required
read-only

The date the record was last updated

types
enum<string>[]
required

List of contact types for the group contact

Minimum array length: 1
Available options:
company,
billing,
executive,
online,
carrier
version
string<uuid>
required
read-only

Version of the group contact record

carrier_id
string<uuid>
read-only

Unique identifier of a Carrier in Noyo's system

email
string
read-only

Work email address of the group contact

Example:

"catherine.briggs@example.com"

first_name
string
read-only

First name of the group contact

Example:

"Catherine"

last_name
string
read-only

Last name of the group contact

Example:

"Briggs"

phone_number
string
read-only

Work phone number of the group contact in E.164 format

Example:

"+15555551212"

primary_contact
boolean
read-only

True if contact is the primary contact for the group

title
string
read-only

Job title of the group contact

Example:

"Engineer"